Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.ws.rs.core
Interface HttpHeaders

    public interface HttpHeaders

An injectable interface that provides access to HTTP header information. All methods throw java.lang.IllegalStateException if called outside the scope of a request (e.g. from a provider constructor).

See Also:
  `Context`

Field Summary
`static java.lang.String` | `ACCEPT` See HTTP/1.1 documentation.
`static java.lang.String` | `ACCEPT_CHARSET` See HTTP/1.1 documentation.
`static java.lang.String` | `ACCEPT_ENCODING` See HTTP/1.1 documentation.
`static java.lang.String` | `ACCEPT_LANGUAGE` See HTTP/1.1 documentation.
`static java.lang.String` | `AUTHORIZATION` See HTTP/1.1 documentation.
`static java.lang.String` | `CACHE_CONTROL` See HTTP/1.1 documentation.
`static java.lang.String` | `CONTENT_ENCODING` See HTTP/1.1 documentation.
`static java.lang.String` | `CONTENT_LANGUAGE` See HTTP/1.1 documentation.
`static java.lang.String` | `CONTENT_LENGTH` See HTTP/1.1 documentation.
`static java.lang.String` | `CONTENT_LOCATION` See HTTP/1.1 documentation.
`static java.lang.String` | `CONTENT_TYPE` See HTTP/1.1 documentation.
`static java.lang.String` | `COOKIE` See IETF RFC 2109.
`static java.lang.String` | `DATE` See HTTP/1.1 documentation.
`static java.lang.String` | `ETAG` See HTTP/1.1 documentation.
`static java.lang.String` | `EXPIRES` See HTTP/1.1 documentation.
`static java.lang.String` | `HOST` See HTTP/1.1 documentation.
`static java.lang.String` | `IF_MATCH` See HTTP/1.1 documentation.
`static java.lang.String` | `IF_MODIFIED_SINCE` See HTTP/1.1 documentation.
`static java.lang.String` | `IF_NONE_MATCH` See HTTP/1.1 documentation.
`static java.lang.String` | `IF_UNMODIFIED_SINCE` See HTTP/1.1 documentation.
`static java.lang.String` | `LAST_MODIFIED` See HTTP/1.1 documentation.
`static java.lang.String` | `LOCATION` See HTTP/1.1 documentation.
`static java.lang.String` | `SET_COOKIE` See IETF RFC 2109.
`static java.lang.String` | `USER_AGENT` See HTTP/1.1 documentation.
`static java.lang.String` | `VARY` See HTTP/1.1 documentation.
`static java.lang.String` | `WWW_AUTHENTICATE` See HTTP/1.1 documentation.

Method Summary
`java.util.List<java.util.Locale>` | `getAcceptableLanguages()` Get a list of languages that are acceptable for the response.
`java.util.List<MediaType>` | `getAcceptableMediaTypes()` Get a list of media types that are acceptable for the response.
`java.util.Map<java.lang.String,Cookie>` | `getCookies()` Get any cookies that accompanied the request.
`java.util.Locale` | `getLanguage()` Get the language of the request entity
`MediaType` | `getMediaType()` Get the media type of the request entity
`java.util.List<java.lang.String>` | `getRequestHeader(java.lang.String name)` Get the values of a HTTP request header.
`MultivaluedMap<java.lang.String,java.lang.String>` | `getRequestHeaders()` Get the values of HTTP request headers.

Field Detail

### ACCEPT

    static final java.lang.String ACCEPT

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### ACCEPT_CHARSET

    static final java.lang.String ACCEPT_CHARSET

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### ACCEPT_ENCODING

    static final java.lang.String ACCEPT_ENCODING

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### ACCEPT_LANGUAGE

    static final java.lang.String ACCEPT_LANGUAGE

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### AUTHORIZATION

    static final java.lang.String AUTHORIZATION

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### CACHE_CONTROL

    static final java.lang.String CACHE_CONTROL

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### CONTENT_ENCODING

    static final java.lang.String CONTENT_ENCODING

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### CONTENT_LANGUAGE

    static final java.lang.String CONTENT_LANGUAGE

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### CONTENT_LENGTH

    static final java.lang.String CONTENT_LENGTH

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### CONTENT_LOCATION

    static final java.lang.String CONTENT_LOCATION

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### CONTENT_TYPE

    static final java.lang.String CONTENT_TYPE

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### DATE

    static final java.lang.String DATE

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### ETAG

    static final java.lang.String ETAG

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### EXPIRES

    static final java.lang.String EXPIRES

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### HOST

    static final java.lang.String HOST

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### IF_MATCH

    static final java.lang.String IF_MATCH

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### IF_MODIFIED_SINCE

    static final java.lang.String IF_MODIFIED_SINCE

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### IF_NONE_MATCH

    static final java.lang.String IF_NONE_MATCH

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### IF_UNMODIFIED_SINCE

    static final java.lang.String IF_UNMODIFIED_SINCE

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### LAST_MODIFIED

    static final java.lang.String LAST_MODIFIED

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### LOCATION

    static final java.lang.String LOCATION

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### USER_AGENT

    static final java.lang.String USER_AGENT

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### VARY

    static final java.lang.String VARY

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### WWW_AUTHENTICATE

    static final java.lang.String WWW_AUTHENTICATE

  See HTTP/1.1 documentation.

  See Also:
    Constant Field Values

### COOKIE

    static final java.lang.String COOKIE

  See IETF RFC 2109.

  See Also:
    Constant Field Values

### SET_COOKIE

    static final java.lang.String SET_COOKIE

  See IETF RFC 2109.

  See Also:
    Constant Field Values

Method Detail

### getRequestHeader

    java.util.List<java.lang.String> getRequestHeader(java.lang.String name)

  Get the values of a HTTP request header. The returned List is read-only. This is a shortcut for `getRequestHeaders().get(name)`.

  Parameters:
    `name` - the header name, case insensitive
  Returns:
    a read-only list of header values.
  Throws:
    `java.lang.IllegalStateException` - if called outside the scope of a request

### getRequestHeaders

    MultivaluedMap<java.lang.String,java.lang.String> getRequestHeaders()

  Get the values of HTTP request headers. The returned Map is case-insensitive wrt keys and is read-only.

  Returns:
    a read-only map of header names and values.
  Throws:
    `java.lang.IllegalStateException` - if called outside the scope of a request

### getAcceptableMediaTypes

    java.util.List<MediaType> getAcceptableMediaTypes()

  Get a list of media types that are acceptable for the response.

  Returns:
    a read-only list of requested response media types sorted according to their q-value, with highest preference first.
  Throws:
    `java.lang.IllegalStateException` - if called outside the scope of a request

### getAcceptableLanguages

    java.util.List<java.util.Locale> getAcceptableLanguages()

  Get a list of languages that are acceptable for the response.

  Returns:
    a read-only list of acceptable languages sorted according to their q-value, with highest preference first.
  Throws:
    `java.lang.IllegalStateException` - if called outside the scope of a request

### getMediaType

    MediaType getMediaType()

  Get the media type of the request entity

  Returns:
    the media type or null if there is no request entity.
  Throws:
    `java.lang.IllegalStateException` - if called outside the scope of a request

### getLanguage

    java.util.Locale getLanguage()

  Get the language of the request entity

  Returns:
    the language of the entity or null if not specified
  Throws:
    `java.lang.IllegalStateException` - if called outside the scope of a request

### getCookies

    java.util.Map<java.lang.String,Cookie> getCookies()

  Get any cookies that accompanied the request.

  Returns:
    a read-only map of cookie name (String) to Cookie.
  Throws:
    `java.lang.IllegalStateException` - if called outside the scope of a request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.